## org.apache.lucene.util
Class FieldCacheSanityChecker.Insanity

    java.lang.Object
      org.apache.lucene.util.FieldCacheSanityChecker.Insanity

Enclosing class:
  FieldCacheSanityChecker

    public static final class FieldCacheSanityChecker.Insanity

extends java.lang.Object

Simple container for a collection of related CacheEntry objects that in conjunction with each other represent some "insane" usage of the FieldCache.

Constructor Summary
`FieldCacheSanityChecker.Insanity(FieldCacheSanityChecker.InsanityType type, java.lang.String msg, FieldCache.CacheEntry[] entries)`

Method Summary
`FieldCache.CacheEntry[]` `getCacheEntries()` CacheEntry objects which suggest a problem
`java.lang.String` `getMsg()` Description of hte insane behavior
`FieldCacheSanityChecker.InsanityType` `getType()` Type of insane behavior this object represents
`java.lang.String` `toString()` Multi-Line representation of this Insanity object, starting with the Type and Msg, followed by each CacheEntry.toString() on it's own line prefaced by a tab character

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldCacheSanityChecker.Insanity

    public FieldCacheSanityChecker.Insanity(FieldCacheSanityChecker.InsanityType type,
                                            java.lang.String msg,
                                            FieldCache.CacheEntry[] entries)

Method Detail

### getType

    public FieldCacheSanityChecker.InsanityType getType()

  Type of insane behavior this object represents

### getMsg

    public java.lang.String getMsg()

  Description of hte insane behavior

### getCacheEntries

    public FieldCache.CacheEntry[] getCacheEntries()

  CacheEntry objects which suggest a problem

### toString

    public java.lang.String toString()

  Multi-Line representation of this Insanity object, starting with the Type and Msg, followed by each CacheEntry.toString() on it's own line prefaced by a tab character

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.